Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class GraphDefDispatcher.Args

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.GraphDefDispatcher.Args

Direct Known Subclasses:
  GraphDefDispatcher.LayoutArgs

Enclosing class:
  GraphDefDispatcher

public static class GraphDefDispatcher.Args
extends java.lang.Object

Constructor Summary
`protected` `GraphDefDispatcher.Args(GraphDefDispatcher.Args other)`
`` `GraphDefDispatcher.Args(GraphDefDispatcher owner, Figure figure, java.lang.String figureVarName)`

Method Summary
`GraphDefDispatcher` `getDispatcher()`
`Figure` `getFigure()`
`java.lang.String` `getVariableName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDefDispatcher.Args

    public GraphDefDispatcher.Args(GraphDefDispatcher owner,
                                   Figure figure,
                                   java.lang.String figureVarName)

### GraphDefDispatcher.Args

    protected GraphDefDispatcher.Args(GraphDefDispatcher.Args other)

Method Detail

### getFigure

    public Figure getFigure()

### getVariableName

    public java.lang.String getVariableName()

### getDispatcher

    public GraphDefDispatcher getDispatcher()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.